/*
    alarmdialog.h  -  Definition of the Alarm Dialog.

    Copyright (c) 2005      by Michal Larouche       <michael.larouche@kdemail.net>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/
#ifndef __ALARMDIALOG_H__
#define __ALAMRDIALOG_H__

#include <QDialog>

class QCloseEvent;

class AlarmDialog : public QDialog
{
	Q_OBJECT
public:
	AlarmDialog(QWidget *parent = 0, const QString &id = QString::null, const QString &message = QString::null, bool useSound = false);
	virtual ~AlarmDialog();

signals:
	void restartTimer();

public slots:
	void accept();

protected:
	void closeEvent(QCloseEvent *event);

private:
	void initGUI();

private:
	class Private;
	Private *d;
};
#endif
