/*
    blinklabel.h  -  A label where the background blink

    Copyright (c) 2005      by Michal Larouche       <michael.larouche@kdemail.net>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/
#ifndef __BLINKLABEL_H__
#define __BLINKLABEL_H__

#include <QLabel>

class QColor;

class BlinkLabel : public QLabel
{
	Q_OBJECT
public:
	BlinkLabel(const QString &text, const QColor &textColor, QWidget *parent);
	virtual ~BlinkLabel();
	
	void setColor1(const QColor &color1);
	void setColor2(const QColor &color2);

public slots:
	void slotStartBlink();
	void updateBlink();

private:
	class Private;
	Private *d;
};
#endif
