/*
    digitaltimewidget.cpp  -  A simple digital display of a specific time.

    Copyright (c) 2005      by Michal Larouche       <michael.larouche@kdemail.net>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/

#include "digitaltimewidget.h"
#include <QTime>
#include <QPalette>
#include <QColor>

DigitalTimeWidget::DigitalTimeWidget(QWidget *parent) 
: QLCDNumber(parent)
{
	setSegmentStyle(Filled);

	QPalette temp = palette();
	temp.setColor(QPalette::Foreground, Qt::green);
	temp.setColor(QPalette::Background, Qt::black);
	setPalette(temp);

	setNumDigits(8);

	showTime(QTime());
}

void DigitalTimeWidget::showTime(const QTime &currentTime)
{
	QString displayText = currentTime.toString("hh:mm:ss");

	display(displayText);
}
