/*
    main.cpp  -  Multi Timer Application launcher

    Copyright (c) 2005      by Michal Larouche       <michael.larouche@kdemail.net>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/

#include <QApplication>
#include <QPushButton>
#include <QSettings>
#include <QMessageBox>
#include <QTranslator>
#include <QLocale>

#include "multitimermainwindow.h"

int main(int argc, char **argv)
{
	QApplication app(argc, argv);
	
	QTranslator qtTranslator;
	qtTranslator.load("qt_" + QLocale::system().name());
	app.installTranslator(&qtTranslator);

	QTranslator multiTimerQtTranslator;
	multiTimerQtTranslator.load(":/MultiTimerQt_" + QLocale::system().name());
	app.installTranslator(&multiTimerQtTranslator);

	QSettings settings(QSettings::UserScope, "shockdev.ca.tc", "MultiTimerQt"); 

	bool running = settings.value("apprunning", false).toBool();
	if(running)
	{
		QMessageBox::information(0, QString("MultiTimerQt"), QObject::tr("Another instance of the application was found.\nClosing the application."), QMessageBox::Ok);
		return 1;
	}

	MultiTimerMainWindow *mainWindow = new MultiTimerMainWindow;
	mainWindow->show();

	return app.exec();
}
