/*
    multitimermainwindow.h  -  Definition of the main window.

    Copyright (c) 2005      by Michal Larouche       <michael.larouche@kdemail.net>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/
#ifndef __MULTITIMERMAINWINDOW_H__
#define __MULTITIMERMAINWINDOW_H__

#include <QMainWindow>

class MultiTimerView;
class QSettings;
class QCloseEvent;

class MultiTimerMainWindow : public QMainWindow
{
	Q_OBJECT
public:
	MultiTimerMainWindow(QWidget *parent = 0);
	virtual ~MultiTimerMainWindow();

private slots:
	void fileQuit();
	void helpAbout();

protected:
	void closeEvent(QCloseEvent *event);

private:
	void createActions();
	void readSettings();
	void writeSettings();

private:
	MultiTimerView *view;
};

#endif
