/*
    multitimerview.h  -  Definition of the main view widget

    Copyright (c) 2005      by Michal Larouche       <michael.larouche@kdemail.net>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/
#ifndef __MULTITIMERVIEW_H__
#define __MULTITIMERVIEW_H__

#include <QTabWidget>

class QSettings;
class TimerTabPage;

class MultiTimerView : public QTabWidget
{
	Q_OBJECT
public:
	MultiTimerView(QWidget *parent = 0);
	virtual ~MultiTimerView();

	void readSettings();
	void writeSettings();
	bool isTimerActive() const;

public slots:
	void addTimer();
	void removeTimer();

private slots:
	void tabIdChanged(int index, const QString &text);

private:
	void createAllTabPage();
	void createAllTimerPage();
	TimerTabPage *createSingleTabPage(int index);

private:
	class Private;
	Private *d;
};

#endif
