/*
    timercontrolwidget.h  -  Timer control widget.

    Copyright (c) 2005      by Michal Larouche       <michael.larouche@kdemail.net>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/
#ifndef __TIMERCONTROLWIDGET_H__
#define __TIMERCONTROLWIDGET_H__

#include <QGroupBox>

class QTime;

class TimerControlWidget : public QGroupBox
{
	Q_OBJECT
public:
	TimerControlWidget(QWidget *parent = 0, int index = 0);
	virtual ~TimerControlWidget();

	int index() const;
	void setIndex(int index);

signals:
	void buttonClicked();

public slots:
	void toggleButton();
	void updateTimeEdit(const QTime &time);
	void updateText(const QString &text);

private:
	void createSubWidgets();

private:
	class Private;
	Private *d;
};
#endif
