/*
    timertabpage.h  -  Widget for a single tab in tab widget.

    Copyright (c) 2005      by Michal Larouche       <michael.larouche@kdemail.net>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/
#ifndef __TIMERTABPAGE_H__
#define __TIMERTABPAGE_H__

#include <QWidget>
#include "ui_timertabpage.h"

class QTime;
class QSettings;

class TimerTabPage : public QWidget, private Ui::TimerTabPage
{
	Q_OBJECT
public:
	TimerTabPage(QWidget *parent = 0, int index = 0);
	virtual ~TimerTabPage();

	int index() const;
	void setIndex(int index);

	bool isStarted();
	void readSettings(QSettings &settings);
	void removeSettings(QSettings &settings);
	void writeSettings(QSettings &settings);

signals:
	void timerTick(const QTime &);
	void idChanged(int index, const QString &);
	void timerStateChanged();

public slots:
	void slotStartTimer();

private slots:
	void slotDisplayTicks();
	void slotDisplayTimeChange();

	void slotUpdateTimer();
	void slotShowAlarm();
	void slotPauseTimer();
	void slotEnableAndDisableWidgets(bool enable);

	void slotIdChanged(const QString &text);

private:
	int getTotalMSecsFromTime(const QTime &time);

private:
	class Private;
	Private *d;

};
#endif
